%global makefile unix.mak

Name:           optipng
Version:        0.7.4
Release:        1
Summary:        PNG optimizer and converter
Group:          Applications/Multimedia
License:        zlib
URL:            http://optipng.sourceforge.net/
Source0:        http://downloads.sourceforge.net/optipng/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  zlib-devel libpng-devel
Requires:       zlib libpng

%description
OptiPNG is a PNG optimizer that recompresses image files to a smaller size,
without losing any information. This program also converts external formats
(BMP, GIF, PNM and TIFF) to optimized PNG, and performs PNG integrity checks
and corrections.


%prep
%setup -q
%patch0

# Ensure system libs and headers are used; as of 0.6.3 pngxtern will use
# the bundled headers if present even with -with-system-*, causing failures.
rm -rf lib/libpng lib/zlib


%build
./configure \
    -with-system-zlib \
    -with-system-libpng
cd src/
make LD=cc


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR="${RPM_BUILD_ROOT}"\
             prefix="%{_prefix}" \
             man1dir="%{_mandir}/man1"

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README.txt LICENSE.txt doc/*
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 0.7.4-1
- updated to version 0.7.4

* Mon Nov 21 2011 Michael Perzl <michael@perzl.org> - 0.6.5-1
- updated to version 0.6.5

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 0.6.4-1
- updated to version 0.6.4

* Mon Sep 28 2008 Michael Perzl <michael@perzl.org> - 0.6.3-1
- first version for AIX V5.1 and higher
